ros-noetic-image-transport (1.12.0-1focal) focal; urgency=high

  * Noetic release image_common (#155 <https://github.com/ros-perception/image_common/issues/155>)
  * Contributors: Alejandro Hernández Cordero

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 03 Apr 2020 05:00:00 -0000

ros-noetic-image-transport (1.11.14-1focal) focal; urgency=high

  * export runtime binaries correctly on Windows (#116 <https://github.com/ros-perception/image_common/issues/116>)
  * add DLL import/export macro (#118 <https://github.com/ros-perception/image_common/issues/118>)
  * Contributors: James Xu

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 03 Apr 2020 05:00:00 -0000

ros-noetic-image-transport (1.11.13-1focal) focal; urgency=high

  * Disable image publisher plugins by name (#60 <https://github.com/ros-perception/image_common/issues/60>)
    * Disable publisher plugins by name
    * Now have per publisher blacklist instead of image_transport wide.
  * update to use non deprecated pluginlib macro
  * Extend documentation of getCameraInfoTopic
    Document the fact that the base_topic argument must be resolved in order to build the correct camera info topic.
  * Added cv::waitkey(10) for blank popup
    Without the cv::waitkey(10), it results in a blank popup which crashes/ leads to a black popup. This change corrects that problem.
    ROS Kinetic, Ubuntu 16.04.3
  * Contributors: Aaditya Saraiya, Lucas Walter, Mikael Arguedas, Thibaud Chupin, Vincent Rabaud

 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 05 Nov 2017 05:00:00 -0000

ros-noetic-image-transport (1.11.12-1focal) focal; urgency=high

  * Fix CMake of image_transport/tutorial and polled_camera
    Fix loads of problems with the CMakeLists.
  * image_transport/tutorial: Add dependency on generated msg
    Without this, build fails on Kinetic because ResizedImage.h has not been
    generated yet.
  * image_transport/tutorial: Add missing catkin_INCLUDE_DIRS
    Without this, compilation files on Kinetic because ros.h cannot be found.
  * 1.11.11
  * update changelogs
  * Contributors: Martin Guenther, Vincent Rabaud

 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 29 Jan 2017 06:00:00 -0000

ros-noetic-image-transport (1.11.11-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 24 Sep 2016 05:00:00 -0000

ros-noetic-image-transport (1.11.10-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 19 Jan 2016 06:00:00 -0000

ros-noetic-image-transport (1.11.9-1focal) focal; urgency=high

  * fix linkage in tutorials
  * Use $catkin_EXPORTED_TARGETS
  * Contributors: Jochen Sprickerhof, Vincent Rabaud

 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 17 Jan 2016 06:00:00 -0000

ros-noetic-image-transport (1.11.8-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 29 Nov 2015 06:00:00 -0000

ros-noetic-image-transport (1.11.7-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 28 Jul 2015 05:00:00 -0000

ros-noetic-image-transport (1.11.6-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 16 Jul 2015 05:00:00 -0000

ros-noetic-image-transport (1.11.5-1focal) focal; urgency=high

  * image_transport: fix CameraSubscriber shutdown (circular shared_ptr ref)
    CameraSubscriber uses a private boost::shared_ptr to share an impl object
    between copied instances. In CameraSubscriber::CameraSubscriber(), it
    handed this shared_ptr to boost::bind() and saved the created wall timer
    in the impl object, thus creating a circular reference. The impl object
    was therefore never freed.
    Fix that by passing a plain pointer to boost::bind().
  * avoid a memory copy for the raw publisher
  * add a way to publish an image with only the data pointer
  * Make function inline to avoid duplicated names when linking statically
  * add plugin examples for the tutorial
  * update instructions for catkin
  * remove uselessly linked library
    fixes #28 <https://github.com/ros-perception/image_common/issues/28>
  * add a tutorial for image_transport
  * Contributors: Gary Servin, Max Schwarz, Vincent Rabaud

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 14 May 2015 05:00:00 -0000

ros-noetic-image-transport (1.11.4-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 21 Sep 2014 05:00:00 -0000

ros-noetic-image-transport (1.11.3-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 19 May 2014 05:00:00 -0000

ros-noetic-image-transport (1.11.2-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 13 Feb 2014 06:00:00 -0000

ros-noetic-image-transport (1.11.1-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 26 Jan 2014 08:33:00 -0000

ros-noetic-image-transport (1.11.0-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 20 Jul 2013 17:23:00 -0000

ros-noetic-image-transport (1.10.5-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 26 Jan 2014 08:34:00 -0000

ros-noetic-image-transport (1.10.4-1focal) focal; urgency=high

  * add Jack as maintainer
  * update my email address
  * Contributors: Vincent Rabaud

 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 20 Jul 2013 16:42:00 -0000

ros-noetic-image-transport (1.10.3-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 21 Feb 2013 11:33:00 -0000

ros-noetic-image-transport (1.10.2-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 21 Feb 2013 10:48:00 -0000

ros-noetic-image-transport (1.10.1-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 21 Feb 2013 10:16:00 -0000

ros-noetic-image-transport (1.10.0-1focal) focal; urgency=high

  * fix the urls
  * use the pluginlib script to remove some warnings
  * added license headers to various cpp and h files
  * Contributors: Aaron Blasdel, Vincent Rabaud

 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 13 Jan 2013 06:00:00 -0000

ros-noetic-image-transport (1.9.22-1focal) focal; urgency=high

  * get rid of the deprecated class_loader interface
  * Contributors: Vincent Rabaud

 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 16 Dec 2012 06:00:00 -0000

ros-noetic-image-transport (1.9.21-1focal) focal; urgency=high

  * CMakeLists.txt clean up
  * Updated package.xml file(s) to handle new catkin buildtool_depend
    requirement
  * Contributors: William Woodall, mirzashah

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 14 Dec 2012 06:00:00 -0000

ros-noetic-image-transport (1.9.20-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 04 Dec 2012 06:00:00 -0000

ros-noetic-image-transport (1.9.19-1focal) focal; urgency=high

  * add the right link libraries
  * Contributors: Vincent Rabaud

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 08 Nov 2012 06:00:00 -0000

ros-noetic-image-transport (1.9.18-1focal) focal; urgency=high

  * Isolated plugins into their own library to follow new
    class_loader/pluginlib guidelines.
  * remove the brief attribute
  * Contributors: Mirza Shah, Vincent Rabaud

 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 06 Nov 2012 06:00:00 -0000

ros-noetic-image-transport (1.9.17-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 31 Oct 2012 00:32:00 -0000

ros-noetic-image-transport (1.9.16-1focal) focal; urgency=high

  * add xml file
  * Contributors: Vincent Rabaud

 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 30 Oct 2012 14:10:00 -0000

ros-noetic-image-transport (1.9.15-1focal) focal; urgency=high

  * fix bad folder/libraries
  * Contributors: Vincent Rabaud

 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 13 Oct 2012 13:43:00 -0000

ros-noetic-image-transport (1.9.14-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 13 Oct 2012 06:07:00 -0000

ros-noetic-image-transport (1.9.13-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 06 Oct 2012 05:00:00 -0000

ros-noetic-image-transport (1.9.12-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 04 Oct 2012 05:00:00 -0000

ros-noetic-image-transport (1.9.11-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 02 Oct 2012 07:56:00 -0000

ros-noetic-image-transport (1.9.10-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 02 Oct 2012 07:42:00 -0000

ros-noetic-image-transport (1.9.9-1focal) focal; urgency=high

  * fix dependencies
  * Contributors: Vincent Rabaud

 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 01 Oct 2012 05:00:00 -0000

ros-noetic-image-transport (1.9.8-1focal) focal; urgency=high

  * add catkin as a dependency
  * comply to the catkin API
  * Contributors: Vincent Rabaud

 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 30 Sep 2012 05:00:00 -0000

ros-noetic-image-transport (1.9.7-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 18 Sep 2012 16:39:00 -0000

ros-noetic-image-transport (1.9.6-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 18 Sep 2012 16:07:00 -0000

ros-noetic-image-transport (1.9.5-1focal) focal; urgency=high

  * install the include directories
  * Contributors: Vincent Rabaud

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 13 Sep 2012 05:00:00 -0000

ros-noetic-image-transport (1.9.4-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 13 Sep 2012 04:37:00 -0000

ros-noetic-image-transport (1.9.3-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 13 Sep 2012 01:44:00 -0000

ros-noetic-image-transport (1.9.2-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 10 Sep 2012 05:00:00 -0000

ros-noetic-image-transport (1.9.1-1focal) focal; urgency=high

  * make the libraries public
  * Contributors: Vincent Rabaud

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 07 Sep 2012 20:33:00 -0000

ros-noetic-image-transport (1.9.0-1focal) focal; urgency=high

  * catkinize for Groovy
  * Initial image_common stack check-in, containing image_transport.
  * Contributors: Vincent Rabaud, gerkey, kwc, mihelich, pmihelich, straszheim, vrabaud

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 07 Sep 2012 18:03:00 -0000


